Subject: Re: [PATCH] irqchip/ti-sci-inta: fix processing of masked irqs

From: Marc Zyngier <[email-masked]>
Date: Thu, 9 Apr 2020 12:17:43 +0100

On Thu, 9 Apr 2020 14:11:12 +0300
Grygorii Strashko <[email-masked]> wrote:

> On 09/04/2020 12:31, Marc Zyngier wrote:
> > On Wed, 8 Apr 2020 22:15:32 +0300
> > Grygorii Strashko <[email-masked]> wrote:
> >   
> >> The ti_sci_inta_irq_handler() does not take into account INTA IRQs state
> >> (masked/unmasked) as it uses INTA_STATUS_CLEAR_j register to get INTA IRQs
> >> status, which provides raw status value.
> >> This causes hard IRQ handlers to be called or threaded handlers to be
> >> scheduled many times even if corresponding INTA IRQ is masked.
> >> Above, first of all, affects the LEVEL interrupts processing and causes
> >> unexpected behavior up the system stack or crash.
> >>
> >> Fix it by using the Interrupt Masked Status INTA_STATUSM_j register which
> >> provides masked INTA IRQs status.
> >>
> >> Fixes: 9f1463b86c13 ("irqchip/ti-sci-inta: Add support for Interrupt Aggregator driver")
> >> Signed-off-by: Grygorii Strashko <[email-masked]>  
> > 
> > Given the failure mode, doesn't this deserve a Cc stable?  
> 
> Sorry, was not sure how it works here.
> "Fixes" tag now is usually enough to get included in stable.
> Any way, I'll track it and if not included will re-send for stable.

Last time I asked, Greg was adamant that a Cc: stable was needed to
guarantee a backport. In some cases, the patch is picked up anyway, but
it doesn't hurt to have the stable tag if you think it should be
backported.

Anyway, I've now added such tag.

Thanks,

	M.
-- 
Jazz is not dead. It just smells funny...

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel